Package org.drinkless.tdlib

# Class TdApi.GetTrendingStickerSets

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.TrendingStickerSets>
org.drinkless.tdlib.TdApi.GetTrendingStickerSets

Enclosing class:
  `TdApi`

public static class TdApi.GetTrendingStickerSets extends TdApi.Function<TdApi.TrendingStickerSets>
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `TrendingStickerSets`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of sticker sets to be returned; up to 100.
  `int`
  `offset`
  The offset from which to return the sticker sets; must be non-negative.
  `TdApi.StickerType`
  `stickerType`
  Type of the sticker sets to return.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTrendingStickerSets()`
  Default constructor for a function, which returns a list of trending sticker sets.
  `GetTrendingStickerSets(TdApi.StickerType stickerType, int offset, int limit)`
  Creates a function, which returns a list of trending sticker sets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the sticker sets to return.

  - ### offset

    public int offset
    The offset from which to return the sticker sets; must be non-negative.

  - ### limit

    public int limit
    The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetTrendingStickerSets

    public GetTrendingStickerSets()
    Default constructor for a function, which returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

    Returns `TrendingStickerSets`

  - ### GetTrendingStickerSets

    public GetTrendingStickerSets(TdApi.StickerType stickerType, int offset, int limit)
    Creates a function, which returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

    Returns `TrendingStickerSets`

    Parameters:
      `stickerType` - Type of the sticker sets to return.
      `offset` - The offset from which to return the sticker sets; must be non-negative.
      `limit` - The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.TrendingStickerSets>`
    Returns:
      this.CONSTRUCTOR